Reschedule a booking
curl --request POST \
--url https://prod.featherhq.com/api/v1/calendar-bookings/{bookingId}/reschedule \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"startTime": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"cancellationReason": "<string>"
}
'import requests
url = "https://prod.featherhq.com/api/v1/calendar-bookings/{bookingId}/reschedule"
payload = {
"startTime": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"cancellationReason": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startTime: '2023-11-07T05:31:56Z',
timezone: '<string>',
cancellationReason: '<string>'
})
};
fetch('https://prod.featherhq.com/api/v1/calendar-bookings/{bookingId}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"calendarId": "<string>",
"eventTypeId": "<string>",
"title": "<string>",
"description": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>",
"attendeeName": "<string>",
"attendeeEmail": "<string>",
"attendeePhone": "<string>",
"location": "<string>",
"meetLink": "<string>",
"agentCallId": "<string>",
"leadId": "<string>",
"cancelledAt": "<string>",
"cancellationReason": "<string>",
"rescheduledFromId": "<string>",
"rescheduledToId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"metadata": null
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}Calendar Bookings
Reschedule a booking
POST
/
api
/
v1
/
calendar-bookings
/
{bookingId}
/
reschedule
Reschedule a booking
Authorizations
Path Parameters
Body
application/json
Response
Booking rescheduled — returns the new booking
Available options:
CONFIRMED, CANCELLED, RESCHEDULED, NO_SHOW ⌘I